package com.hfkj.sysenum;

/**
 * 微信创建二维码
 */
public enum WeChatQrCodeActionNameEnum {
    actionName0(0, "QR_SCENE" , "临时的整型参数值"),
    actionName1(1, "QR_STR_SCENE" , "临时的字符串参数值"),
    actionName2(2, "QR_LIMIT_SCENE" , "永久的整型参数值"),
    actionName3(3, "QR_LIMIT_STR_SCENE" , "永久的字符串参数值"),
    ;

    private Integer number;

    private String name;

    private String actionInfo;

    WeChatQrCodeActionNameEnum(int number, String name , String actionInfo) {
        this.number = number;
        this.name = name;
        this.actionInfo = actionInfo;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getActionInfo() {
        return actionInfo;
    }

    public void setActionInfo(String actionInfo) {
        this.actionInfo = actionInfo;
    }
}
